List MCP servers
import requests
url = "https://api.datagrid.com/v1/organization/mcp-servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/mcp-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/mcp-servers \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "mcp_server",
"id": "<string>",
"name": "<string>",
"icon_url": "<string>",
"base_url": "<string>",
"transport": "<string>",
"protocol_version": "<string>",
"authorization_secret_id": "<string>",
"status": "<string>",
"metadata": {
"requires_oauth": true,
"oauth_configured": true,
"tool_count": 123,
"last_synced_at": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"managed_by_app": {
"app_uuid": "<string>",
"app_name": "<string>"
}
}
]
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}MCP Servers - Beta
List MCP servers
List registered MCP servers for the current teamspace.
GET
/
organization
/
mcp-servers
List MCP servers
import requests
url = "https://api.datagrid.com/v1/organization/mcp-servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/mcp-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/mcp-servers \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "mcp_server",
"id": "<string>",
"name": "<string>",
"icon_url": "<string>",
"base_url": "<string>",
"transport": "<string>",
"protocol_version": "<string>",
"authorization_secret_id": "<string>",
"status": "<string>",
"metadata": {
"requires_oauth": true,
"oauth_configured": true,
"tool_count": 123,
"last_synced_at": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"managed_by_app": {
"app_uuid": "<string>",
"app_name": "<string>"
}
}
]
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Lists MCP servers registered in the current teamspace.
Use this to:
- find an existing
server_idby name - verify registration before agent attachment